﻿@using Xtoman.Domain.Models
@model ExchangeOrderViewModel

<strong><span class="fa fa-bank"></span> سفارش پرداخت شده</strong>
<hr />

<div class="table-responsive">
    <table class="table">
        <tr>
            @if (Model.Exchange.ToCurrencyType != Xtoman.Domain.Models.ECurrencyType.Shetab)
            {
                <th>
                    آدرس دریافت
                </th>
                <td>
                    @if (!Model.Exchange.ToCurrencyIsFiat)
                    {
                        var payAddressLookupUrl = ECurrencyTypeHelper.BlockExplorerAddress(Model.Exchange.ToCurrencyType);
                        if (payAddressLookupUrl.HasValue())
                        {
                            <a href="@payAddressLookupUrl/@Model.ReceiveAddress" target="_blank">
                                @Model.ReceiveAddress
                                @if (Model.ReceiveMemoTagPaymentId.HasValue())
                                {
                                    <br />
                                    <span>تگ @Model.ReceiveMemoTagPaymentId</span>
                                }
                            </a>
                        }
                        else
                        {
                            @Model.ReceiveAddress
                            if (Model.ReceiveMemoTagPaymentId.HasValue())
                            {
                                <br />
                                <span>تگ @Model.ReceiveMemoTagPaymentId</span>
                            }
                        }
                    }
                    else if (Model.Exchange.ToCurrencyType == ECurrencyType.PerfectMoneyVoucher)
                    {
                        <span>Voucher Number # <small>(شماره ووچر)</small>: @Model.ReceiveAddress</span><br />
                        <span>Voucher Activation Code (کد فعالسازی): @Model.ReceiveMemoTagPaymentId</span>
                    }
                    else
                    {
                        @Model.ReceiveAddress
                        if (Model.ReceiveMemoTagPaymentId.HasValue())
                        {
                            <br />
                            <span>تگ @Model.ReceiveMemoTagPaymentId</span>
                        }
                    }
                </td>
            }
            else
            {
                <th>
                    حساب بانکی
                </th>
                <td>
                    @Model.ReceiveAddress <br />
                    @Model.ReceiveMemoTagPaymentId
                </td>
            }
        </tr>
        @if (Model.OrderWithdraws.Any())
        {
            var withdraw = Model.OrderWithdraws.FirstOrDefault();
            <tr>
                <th>@Html.DisplayNameFor(modelItem => withdraw.Status)</th>
                <td>
                    <span style="font-size:12px;" class="badge badge-@withdraw.Status.ToDisplay(DisplayProperty.GroupName) p-2">
                        @withdraw.Status.ToDisplay()
                    </span>
                </td>
            </tr>
            <tr>
                <th>@Html.DisplayNameFor(modelItem => withdraw.TransactionId)</th>
                <td>
                    @{var txAddress = ECurrencyTypeHelper.BlockExplorerTransaction(Model.Exchange.ToCurrencyType);}
                    @if (txAddress.HasValue())
                    {
                        if (Model.ReceiveTransactionCode.HasValue())
                        {
                            <a href="@txAddress/@Model.ReceiveTransactionCode" target="_blank">
                                @Model.ReceiveTransactionCode
                            </a>
                        }
                        else
                        {
                            <span>----</span>
                        }
                    }
                    else
                    {
                        @(Model.ReceiveTransactionCode.HasValue() ? Model.ReceiveTransactionCode : "----")
                    }
                </td>
            </tr>
        }
        @*else if (Model.OrderStatus == OrderStatus.Processing && !Model.Exchange.ToCurrencyIsFiat)
        {
            <tr>
                <td colspan="2">
                    در انجام و تکمیل سفارش شما تاخیری به وجود آمده و ممکن است تا 24 ساعت طول بکشد.
                </td>
            </tr>
        }*@
    </table>
</div>